FCPE-SPI FLAM Column Processing Exit (FCPE) Service Provider Interface (SPI)

Macros
Combined character forms

Defines the combined character form. More...

## Macros
#define | FCPE_CMBFRM_NON 0U
| No combined character form. More...
#define | FCPE_CMBFRM_NFD 1U
| Normalization Form Canonical Decomposition. More...
#define | FCPE_CMBFRM_NFC 2U
| Normalization Form Canonical Composition. More...

## Detailed Description

Defines the combined character form.

The CCSID field in the parameter structure TsFcpeOpn contains one of these combined character forms (Unicode equivalence) in the 8 highest order bits. If the form is not known then FCPE_CMBFRM_NON should be used.

## Macro Definition Documentation

## ◆ FCPE_CMBFRM_NFC

#define FCPE_CMBFRM_NFC 2U

Normalization Form Canonical Composition.

## ◆ FCPE_CMBFRM_NFD

#define FCPE_CMBFRM_NFD 1U

Normalization Form Canonical Decomposition.

## ◆ FCPE_CMBFRM_NON

#define FCPE_CMBFRM_NON 0U

No combined character form.